## python-pyproject-parser 0.9.1

=== requirements.txt ===
apeye-core>=1.0.0
attrs>=20.3.0
dom-toml>=0.4.0
domdf-python-tools>=2.8.0
natsort>=7.1.1
packaging>=20.9
shippinglabel>=1.0.0
toml>=0.10.2
tomli>=1.2.3; python_version < "3.11"
typing-extensions!=4.7.0,>=3.7.4.3

=== doc-source/requirements.txt ===
git+https://github.com/domdfcoding/sphinx-click.git
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
attr-utils>=0.5.6
default-values>=0.5.0b1
extras-require>=0.2.0
furo>=2020.11.19b18
html-section>=0.1.0
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=2.13.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0b1

=== tests/requirements.txt ===
# git+https://github.com/repo-helper/pyproject-examples
coincidence>=0.2.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
importlib-metadata>=3.6.0
pyproject-examples>=2023.6.30
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-timeout>=1.4.2

=== debian/changelog ===
python-pyproject-parser (0.9.1-2) unstable; urgency=medium

  * Upload to unstable
  * debian/rules: updated information disabling tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 30 Dec 2023 00:10:27 -0300

python-pyproject-parser (0.9.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1028151)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 07 Nov 2023 19:39:50 -0300

=== debian/control ===
Source: python-pyproject-parser
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-apeye-core,
               python3-attr,
               python3-consolekit,
               python3-dom-toml,
               python3-domdf-python-tools,
               python3-natsort,
               python3-packaging,
               python3-setuptools,
               python3-shippinglabel,
               python3-toml,
               python3-typing-extensions
Standards-Version: 4.6.2
Homepage: https://github.com/repo-helper/pyproject-parser
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyproject-parser
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyproject-parser.git
Testsuite: autopkgtest-pkg-python

Package: python3-pyproject-parser
Architecture: all
Depends: python3-trove-classifiers,
         ${misc:Depends},
         ${python3:Depends}
Description: parser for 'pyproject.toml' file
 Tool developed to parse the pyproject.toml file. In addition to the parsing
 library, pyproject-parser has a command-line interface for validating and
 reformatting pyproject.toml files.
 .
 main features:
  - Returns a string representation of the PyProject.
  - Write as TOML in the provided file.
  - Serializes to TOML.
  - Constructs an instance of PyProject from a dictionary.
  - Loads the pyproject.toml configuration mapping from the provided file.
  - Reformats the provided pyproject.toml file.
  - Resolves the file key in the readme and the license (if present) to recover
    the contents of the file.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyproject-parser

%:
	dh $@ --with python3 --buildsystem=pybuild

# testing needs module 'pyproject_examples' which are not in Debian
override_dh_auto_test:

=== debian/watch ===
version=4
https://github.com/repo-helper/pyproject-parser/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pyproject-parser 0.11.1

=== requirements.txt ===
apeye-core>=1.0.0
attrs>=20.3.0
dom-toml>=2.0.0
domdf-python-tools>=2.8.0
natsort>=7.1.1
packaging>=20.9
shippinglabel>=1.0.0
typing-extensions!=4.7.0,>=3.7.4.3

=== doc-source/requirements.txt ===
git+https://github.com/domdfcoding/sphinx-click.git
git+https://github.com/sphinx-toolbox/sphinx-toolbox-experimental
attr-utils>=0.5.6
default-values>=0.6.0
extras-require>=0.5.0
furo==2021.06.18b36
html-section>=0.3.0
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-copybutton>=0.5.2
sphinx-debuginfo>=0.2.2
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-packaging>=0.1.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.2.0
toctree-plus>=0.6.1

=== debian/changelog ===
python-pyproject-parser (0.11.1-2) unstable; urgency=medium

  * Versioning Build-Depends to fix test regression

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 30 May 2024 21:11:11 -0300

python-pyproject-parser (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1
  * debian/control: Removed Suite: autopkgtest-pybuild
  * debian/tests/control: Replaced autopkgtest d/control with d/tests/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 21 May 2024 21:19:20 -0300

python-pyproject-parser (0.11.0-2) unstable; urgency=medium

  * debian/control:
     - Added Build-Depends for testing
     - Replaced autopkgtest from python to pybuild
  * debian/rules:
     - Enabled custom testing with pytest

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 20 May 2024 23:51:38 -0300

python-pyproject-parser (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * debian/watch: Added tag "opts"  to not track pre-versions

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 28 Apr 2024 16:58:39 -0300

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,28 @@
                python3-all,
                python3-apeye-core,
                python3-attr,
+               python3-coincidence <!nocheck>,
                python3-consolekit,
-               python3-dom-toml,
+               python3-coverage <!nocheck>,
+               python3-dom-toml (>= 2.0.0-1~),
                python3-domdf-python-tools,
+               python3-importlib-metadata <!nocheck>,
                python3-natsort,
                python3-packaging,
+               python3-pyproject-examples <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
+               python3-sdjson <!nocheck>,
                python3-setuptools,
                python3-shippinglabel,
                python3-toml,
+               python3-trove-classifiers <!nocheck>,
                python3-typing-extensions
 Standards-Version: 4.6.2
 Homepage: https://github.com/repo-helper/pyproject-parser
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyproject-parser
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyproject-parser.git
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-pyproject-parser
 Architecture: all

=== debian/tests/control ===
Test-Command: python3 -m pytest -v
Depends: @,
         python3-all,
         python3-coincidence,
         python3-consolekit,
         python3-coverage,
         python3-dom-toml (>= 2.0.0-1~),
         python3-importlib-metadata,
         python3-pyproject-examples,
         python3-pytest,
         python3-pytest-cov,
         python3-pytest-timeout,
         python3-sdjson,
         python3-trove-classifiers,

## python-pyproject-parser 0.13.0

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -12,10 +12,14 @@
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
 sphinx-packaging>=0.1.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
 sphinxcontrib-httpdomain>=1.7.0
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.2.0
 toctree-plus>=0.6.1

=== tests/requirements.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 coverage>=5.1
 coverage-pyver-pragma>=0.2.1
 importlib-metadata>=3.6.0
+nh3<=0.2.14; python_version < "3.9" and implementation_name == "pypy"
 pyproject-examples>=2023.6.30
 pytest>=6.0.0
 pytest-cov>=2.8.1

=== debian/changelog ===
python-pyproject-parser (0.13.0-3) unstable; urgency=medium

  * Team Upload
  * Drop python3-toml build-dep
  * Add gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 12:56:00 +0200

python-pyproject-parser (0.13.0-2) unstable; urgency=medium

  * Team Upload
  * Remove python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 14:47:31 +0200

python-pyproject-parser (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * debian/control: 
     - Added build-depends python3-hatchling
     - Bumped Standards-Version to 4.7.2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 09 Apr 2025 20:40:33 -0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                python3-coverage <!nocheck>,
                python3-dom-toml (>= 2.0.0-1~),
                python3-domdf-python-tools,
-               python3-importlib-metadata <!nocheck>,
+               python3-hatchling,
+               python3-hatch-requirements-txt,
                python3-natsort,
                python3-packaging,
                python3-pyproject-examples <!nocheck>,
@@ -25,10 +26,9 @@
                python3-sdjson <!nocheck>,
                python3-setuptools,
                python3-shippinglabel,
-               python3-toml,
                python3-trove-classifiers <!nocheck>,
                python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/repo-helper/pyproject-parser
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyproject-parser
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyproject-parser.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyproject-parser
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pytest  -v

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
          python3-consolekit,
          python3-coverage,
          python3-dom-toml (>= 2.0.0-1~),
-         python3-importlib-metadata,
          python3-pyproject-examples,
          python3-pytest,
          python3-pytest-cov,

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/repo-helper/pyproject-parser/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
